package com.benyun.core.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.benyun.core.dao.WdInfoDao;
import com.benyun.core.entity.TopologicalStoreWd;
import com.benyun.core.entity.WdInfo;
import com.benyun.core.service.TopologicalCommonService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.lang.reflect.Array;
import java.util.Arrays;
import java.util.List;

@Service
public class TopologicalCommonServiceImpl implements TopologicalCommonService {
    @Autowired
    WdInfoDao wdInfoDao;

    @Override
    public List<WdInfo> prefixSearch(String searchText) {
        QueryWrapper<WdInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.likeRight("wd_name",searchText);
        queryWrapper.and(wdInfoQueryWrapper -> {
            wdInfoQueryWrapper.in("wd_type_code", Arrays.asList("1","2","3","5"));
        });

        PageHelper.startPage(1,8);
        List<WdInfo> wdInfos = wdInfoDao.selectList(queryWrapper);
        PageInfo<WdInfo> pageInfo = new PageInfo<>(wdInfos);
        return pageInfo.getList();
    }

    @Override
    public void search(String searchText, int radius) {

    }


}
