package com.benyun.core.controller;

import com.benyun.core.entity.vo.TypeByBody;
import com.benyun.core.entity.vo.WdInfoVo;
import com.benyun.core.service.WdRecycleService;
import com.ruoyi.common.core.domain.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;

@RestController
@RequestMapping("/recycle/wd")
public class WdRecycleController {

    @Autowired
    WdRecycleService wdRecycleService;


    //获取网点回收站列表
    @GetMapping("/list")
    public R list(WdInfoVo wdInfoVo){
        HashMap<String, Object> list = wdRecycleService.list(wdInfoVo);
        return R.ok(list);
    }



}
